import { IcyNetUser } from './user';

export interface PositionUpdatePacket {
  id?: number;
  position?: number[];
  rotation?: number[];
  animState?: number;
  time?: number;
}

export interface FullStatePacket {
  velocity?: number[];
  angular?: number[];
  position?: number[];
  rotation?: number[];
  animState?: number;
  character?: CharacterPacket;
}

export interface CharacterPacket {
  color?: number | string;
  eyeColor?: number | string;
}

export interface CompositePacket extends IcyNetUser, FullStatePacket {}
