import { CharacterPacket } from '../../common/types/packet';
import { IcyNetUser } from '../../common/types/user';

export interface DatabaseUser extends IcyNetUser {
  created_at: string;
}

export interface DatabasePony {
  id?: number;
  display_name?: string;
  position?: string | number[];
  rotation?: string | number[];
  character?: string | CharacterPacket;
  created_at?: string;
  user_id?: number;
}
